Upstream information

CVE-2017-5340 at MITRE

Description

Zend/zend_hash.c in PHP before 7.0.15 and 7.1.x before 7.1.1 mishandles certain cases that require large array allocations, which allows remote attackers to execute arbitrary code or cause a denial of service (integer overflow, uninitialized memory access, and use of arbitrary destructor function pointers) via crafted serialized data.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Low Low
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 9.8
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entry: 1019570 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Web Scripting 12
  • apache2-mod_php7 >= 7.0.7-35.1
  • php7 >= 7.0.7-35.1
  • php7-bcmath >= 7.0.7-35.1
  • php7-bz2 >= 7.0.7-35.1
  • php7-calendar >= 7.0.7-35.1
  • php7-ctype >= 7.0.7-35.1
  • php7-curl >= 7.0.7-35.1
  • php7-dba >= 7.0.7-35.1
  • php7-dom >= 7.0.7-35.1
  • php7-enchant >= 7.0.7-35.1
  • php7-exif >= 7.0.7-35.1
  • php7-fastcgi >= 7.0.7-35.1
  • php7-fileinfo >= 7.0.7-35.1
  • php7-fpm >= 7.0.7-35.1
  • php7-ftp >= 7.0.7-35.1
  • php7-gd >= 7.0.7-35.1
  • php7-gettext >= 7.0.7-35.1
  • php7-gmp >= 7.0.7-35.1
  • php7-iconv >= 7.0.7-35.1
  • php7-imap >= 7.0.7-35.1
  • php7-intl >= 7.0.7-35.1
  • php7-json >= 7.0.7-35.1
  • php7-ldap >= 7.0.7-35.1
  • php7-mbstring >= 7.0.7-35.1
  • php7-mcrypt >= 7.0.7-35.1
  • php7-mysql >= 7.0.7-35.1
  • php7-odbc >= 7.0.7-35.1
  • php7-opcache >= 7.0.7-35.1
  • php7-openssl >= 7.0.7-35.1
  • php7-pcntl >= 7.0.7-35.1
  • php7-pdo >= 7.0.7-35.1
  • php7-pear >= 7.0.7-35.1
  • php7-pear-Archive_Tar >= 7.0.7-35.1
  • php7-pgsql >= 7.0.7-35.1
  • php7-phar >= 7.0.7-35.1
  • php7-posix >= 7.0.7-35.1
  • php7-pspell >= 7.0.7-35.1
  • php7-shmop >= 7.0.7-35.1
  • php7-snmp >= 7.0.7-35.1
  • php7-soap >= 7.0.7-35.1
  • php7-sockets >= 7.0.7-35.1
  • php7-sqlite >= 7.0.7-35.1
  • php7-sysvmsg >= 7.0.7-35.1
  • php7-sysvsem >= 7.0.7-35.1
  • php7-sysvshm >= 7.0.7-35.1
  • php7-tokenizer >= 7.0.7-35.1
  • php7-wddx >= 7.0.7-35.1
  • php7-xmlreader >= 7.0.7-35.1
  • php7-xmlrpc >= 7.0.7-35.1
  • php7-xmlwriter >= 7.0.7-35.1
  • php7-xsl >= 7.0.7-35.1
  • php7-zip >= 7.0.7-35.1
  • php7-zlib >= 7.0.7-35.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2017-277
SUSE Linux Enterprise Software Development Kit 12 SP1
  • php7 >= 7.0.7-35.1
  • php7-devel >= 7.0.7-35.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2017-277
SUSE Linux Enterprise Software Development Kit 12 SP2
  • php7 >= 7.0.7-35.1
  • php7-devel >= 7.0.7-35.1
Patchnames:
SUSE-SLE-SDK-12-SP2-2017-277
SUSE Linux Enterprise Software Development Kit 12 SP3
  • php7-devel >= 7.0.7-49.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA php7-devel
openSUSE Leap 42.2
  • apache2-mod_php7 >= 7.0.7-12.1
  • apache2-mod_php7-debuginfo >= 7.0.7-12.1
  • php7 >= 7.0.7-12.1
  • php7-bcmath >= 7.0.7-12.1
  • php7-bcmath-debuginfo >= 7.0.7-12.1
  • php7-bz2 >= 7.0.7-12.1
  • php7-bz2-debuginfo >= 7.0.7-12.1
  • php7-calendar >= 7.0.7-12.1
  • php7-calendar-debuginfo >= 7.0.7-12.1
  • php7-ctype >= 7.0.7-12.1
  • php7-ctype-debuginfo >= 7.0.7-12.1
  • php7-curl >= 7.0.7-12.1
  • php7-curl-debuginfo >= 7.0.7-12.1
  • php7-dba >= 7.0.7-12.1
  • php7-dba-debuginfo >= 7.0.7-12.1
  • php7-debuginfo >= 7.0.7-12.1
  • php7-debugsource >= 7.0.7-12.1
  • php7-devel >= 7.0.7-12.1
  • php7-dom >= 7.0.7-12.1
  • php7-dom-debuginfo >= 7.0.7-12.1
  • php7-enchant >= 7.0.7-12.1
  • php7-enchant-debuginfo >= 7.0.7-12.1
  • php7-exif >= 7.0.7-12.1
  • php7-exif-debuginfo >= 7.0.7-12.1
  • php7-fastcgi >= 7.0.7-12.1
  • php7-fastcgi-debuginfo >= 7.0.7-12.1
  • php7-fileinfo >= 7.0.7-12.1
  • php7-fileinfo-debuginfo >= 7.0.7-12.1
  • php7-firebird >= 7.0.7-12.1
  • php7-firebird-debuginfo >= 7.0.7-12.1
  • php7-fpm >= 7.0.7-12.1
  • php7-fpm-debuginfo >= 7.0.7-12.1
  • php7-ftp >= 7.0.7-12.1
  • php7-ftp-debuginfo >= 7.0.7-12.1
  • php7-gd >= 7.0.7-12.1
  • php7-gd-debuginfo >= 7.0.7-12.1
  • php7-gettext >= 7.0.7-12.1
  • php7-gettext-debuginfo >= 7.0.7-12.1
  • php7-gmp >= 7.0.7-12.1
  • php7-gmp-debuginfo >= 7.0.7-12.1
  • php7-iconv >= 7.0.7-12.1
  • php7-iconv-debuginfo >= 7.0.7-12.1
  • php7-imap >= 7.0.7-12.1
  • php7-imap-debuginfo >= 7.0.7-12.1
  • php7-intl >= 7.0.7-12.1
  • php7-intl-debuginfo >= 7.0.7-12.1
  • php7-json >= 7.0.7-12.1
  • php7-json-debuginfo >= 7.0.7-12.1
  • php7-ldap >= 7.0.7-12.1
  • php7-ldap-debuginfo >= 7.0.7-12.1
  • php7-mbstring >= 7.0.7-12.1
  • php7-mbstring-debuginfo >= 7.0.7-12.1
  • php7-mcrypt >= 7.0.7-12.1
  • php7-mcrypt-debuginfo >= 7.0.7-12.1
  • php7-mysql >= 7.0.7-12.1
  • php7-mysql-debuginfo >= 7.0.7-12.1
  • php7-odbc >= 7.0.7-12.1
  • php7-odbc-debuginfo >= 7.0.7-12.1
  • php7-opcache >= 7.0.7-12.1
  • php7-opcache-debuginfo >= 7.0.7-12.1
  • php7-openssl >= 7.0.7-12.1
  • php7-openssl-debuginfo >= 7.0.7-12.1
  • php7-pcntl >= 7.0.7-12.1
  • php7-pcntl-debuginfo >= 7.0.7-12.1
  • php7-pdo >= 7.0.7-12.1
  • php7-pdo-debuginfo >= 7.0.7-12.1
  • php7-pear >= 7.0.7-12.1
  • php7-pear-Archive_Tar >= 7.0.7-12.1
  • php7-pgsql >= 7.0.7-12.1
  • php7-pgsql-debuginfo >= 7.0.7-12.1
  • php7-phar >= 7.0.7-12.1
  • php7-phar-debuginfo >= 7.0.7-12.1
  • php7-posix >= 7.0.7-12.1
  • php7-posix-debuginfo >= 7.0.7-12.1
  • php7-pspell >= 7.0.7-12.1
  • php7-pspell-debuginfo >= 7.0.7-12.1
  • php7-readline >= 7.0.7-12.1
  • php7-readline-debuginfo >= 7.0.7-12.1
  • php7-shmop >= 7.0.7-12.1
  • php7-shmop-debuginfo >= 7.0.7-12.1
  • php7-snmp >= 7.0.7-12.1
  • php7-snmp-debuginfo >= 7.0.7-12.1
  • php7-soap >= 7.0.7-12.1
  • php7-soap-debuginfo >= 7.0.7-12.1
  • php7-sockets >= 7.0.7-12.1
  • php7-sockets-debuginfo >= 7.0.7-12.1
  • php7-sqlite >= 7.0.7-12.1
  • php7-sqlite-debuginfo >= 7.0.7-12.1
  • php7-sysvmsg >= 7.0.7-12.1
  • php7-sysvmsg-debuginfo >= 7.0.7-12.1
  • php7-sysvsem >= 7.0.7-12.1
  • php7-sysvsem-debuginfo >= 7.0.7-12.1
  • php7-sysvshm >= 7.0.7-12.1
  • php7-sysvshm-debuginfo >= 7.0.7-12.1
  • php7-tidy >= 7.0.7-12.1
  • php7-tidy-debuginfo >= 7.0.7-12.1
  • php7-tokenizer >= 7.0.7-12.1
  • php7-tokenizer-debuginfo >= 7.0.7-12.1
  • php7-wddx >= 7.0.7-12.1
  • php7-wddx-debuginfo >= 7.0.7-12.1
  • php7-xmlreader >= 7.0.7-12.1
  • php7-xmlreader-debuginfo >= 7.0.7-12.1
  • php7-xmlrpc >= 7.0.7-12.1
  • php7-xmlrpc-debuginfo >= 7.0.7-12.1
  • php7-xmlwriter >= 7.0.7-12.1
  • php7-xmlwriter-debuginfo >= 7.0.7-12.1
  • php7-xsl >= 7.0.7-12.1
  • php7-xsl-debuginfo >= 7.0.7-12.1
  • php7-zip >= 7.0.7-12.1
  • php7-zip-debuginfo >= 7.0.7-12.1
  • php7-zlib >= 7.0.7-12.1
  • php7-zlib-debuginfo >= 7.0.7-12.1
Patchnames:
openSUSE-2017-304


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Module for Web and Scripting 12 php5 Not affected
SUSE Linux Enterprise Module for Web and Scripting 12 php7 Released
SUSE Linux Enterprise SDK 11 SP4 php53 Not affected
SUSE Linux Enterprise SDK 12 SP1 php5 Not affected
SUSE Linux Enterprise SDK 12 SP1 php7 Released
SUSE Linux Enterprise SDK 12 SP2 php5 Not affected
SUSE Linux Enterprise SDK 12 SP2 php7 Released
SUSE Linux Enterprise Server 11 SP4 php53 Not affected